Jack::JackDriverInterface Class Referenceabstract

The base interface for drivers. More...

`#include <JackDriver.h>`

Inheritance diagram for Jack::JackDriverInterface:

## Public Member Functions

virtual int | Open ()=0
virtual int | Open (jack_nframes_t buffer_size, jack_nframes_t samplerate, bool capturing, bool playing, int inchannels, int outchannels, bool monitor, const char *capture_driver_name, const char *playback_driver_name, jack_nframes_t capture_latency, jack_nframes_t playback_latency)=0
virtual int | Attach ()=0
virtual int | Detach ()=0
virtual int | Read ()=0
virtual int | Write ()=0
virtual int | Start ()=0
virtual int | Stop ()=0
virtual bool | IsFixedBufferSize ()=0
virtual int | SetBufferSize (jack_nframes_t buffer_size)=0
virtual int | SetSampleRate (jack_nframes_t sample_rate)=0
virtual int | Process ()=0
virtual void | SetMaster (bool onoff)=0
virtual bool | GetMaster ()=0
virtual void | AddSlave (JackDriverInterface *slave)=0
virtual void | RemoveSlave (JackDriverInterface *slave)=0
virtual std::list< JackDriverInterface * > | GetSlaves ()=0
virtual int | ProcessReadSlaves ()=0
virtual int | ProcessWriteSlaves ()=0
virtual int | ProcessRead ()=0
virtual int | ProcessWrite ()=0
virtual int | ProcessReadSync ()=0
virtual int | ProcessWriteSync ()=0
virtual int | ProcessReadAsync ()=0
virtual int | ProcessWriteAsync ()=0
virtual bool | IsRealTime () const =0
virtual bool | IsRunning () const =0

## Detailed Description

The base interface for drivers.

Definition at line 43 of file JackDriver.h.

The documentation for this class was generated from the following file:

- JackDriver.h